%define	name	lvm2
%define	lvmversion	2.02.53
# grep ^Version libdm/libdevmapper.pc
%define dmversion 1.02.38
# Do not reset Release to 1 unless both lvm2 and device-mapper
# versions are increased together.
%define	release	%manbo_mkrel 9
%define	_usrsbindir	%{_prefix}/sbin
%define	_sbindir	/sbin
%define	dmmajor		1.02
%define	cmdmajor	2.02
%define	appmajor	2.1

%define	dmlibname	%mklibname devmapper %dmmajor
%define	dmdevelname	%mklibname devmapper -d
%define	event_libname	%mklibname devmapper-event %dmmajor
%define	event_develname	%mklibname devmapper-event -d
%define cmdlibname	%mklibname lvm2cmd %cmdmajor
%define cmddevelname	%mklibname lvm2cmd -d

%define	build_lvm2app 0
%define	build_cluster 1
%define	build_dmeventd 1

%{?_with_dmeventd: %{expand: %%global build_dmeventd 1}}
%{?_without_dmeventd: %{expand: %%global build_dmeventd 0}}
%{?_with_lvm2app: %{expand: %%global build_lvm2app 1}}
%{?_without_lvm2app: %{expand: %%global build_lvm2app 0}}
%{?_with_cluster: %{expand: %%global build_cluster 1}}
%{?_without_cluster: %{expand: %%global build_cluster 0}}

%if %build_lvm2app
%define	applibname	%mklibname lvm2app 2.1
%define appdevelname	%mklibname -d lvm2
%endif

Summary:	Logical Volume Manager administration tools
Name:		%{name}
Version:	%{lvmversion}
Release:	%{release}
Source0:	ftp://sources.redhat.com/pub/lvm2/LVM2.%{lvmversion}.tgz
Source1:	ftp://sources.redhat.com/pub/lvm2/LVM2.%{lvmversion}.tgz.asc
Patch0:		lvm2-2.02.53-alternatives.patch
Patch1:		lvm2-2.02.53-pkgconfig.patch
Patch2:		lvm2-2.02.53-vgmknodes-man.patch
Patch3:		lvm2-2.02.33-lvmconf-clvm-type3.patch
Patch4:		clvmd-correct-lsb-headers.path
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{lvmversion}-%{release}-buildroot
URL:		http://sources.redhat.com/lvm2/
BuildConflicts:	device-mapper-devel >= %{dmversion}
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
#BuildRequires:	autoconf
Conflicts:	lvm
Conflicts:	lvm1
BuildRequires:	glibc-static-devel
%if %build_dmeventd
Requires:	%{cmdlibname} = %{lvmversion}-%{release}
%endif
Requires:	%{dmlibname} >= %{dmversion}

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadm(8) or even loop devices, see losetup(8)),
creating volume groups (kind of virtual disks) from one or more physical
volumes and creating one or more logical volumes (kind of logical partitions)
in volume groups.

%package -n	%{cmdlibname}
Summary:	LVM2 command line library
Group:		System/Kernel and hardware
# Avoid devel deps on library due to autoreq picking these plugins up as devel libs
%define _exclude_files_from_autoreq libdevmapper-event-.\\+\\.so$

%description -n	%{cmdlibname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.

%package -n	%{cmddevelname}
Summary:	Development files for LVM2 command line library
Group:		System/Kernel and hardware
Requires:	%{cmdlibname} = %{version}-%{release}
Provides:	liblvm2cmd-devel = %{version}-%{release}
Obsoletes:	%{mklibname lvm2cmd %cmdmajor -d}

%description -n	%{cmddevelname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.
This package contains the header files for building with lvm2cmd and lvm2app.

%if %build_lvm2app
%package -n	%{applibname}
Summary:	LVM2 application api library
Group:		System/Kernel and hardware

%description -n	%{applibname}
LVM2 application API

%package -n	%{appdevelname}
Summary:	Development files for LVM2 command line library
Group:		System/Kernel and hardware
Requires:	pkgconfig
Requires:	%{applibname} = %{version}-%{release}
Provides:	liblvm2app-devel = %{version}-%{release}
Obsoletes:	%{mklibname lvm2app %appmajor -d}

%description -n	%{appdevelname}
LVM2 application API
This package contains the header files for building with lvm2app.
%endif

%if %build_cluster
%package -n	clvmd
Summary:	cluster LVM daemon
Group:		System/Kernel and hardware
BuildRequires:	cluster-devel >= 3.0.3
#bluca 200909 openais support requires 1.0 openais/corosync
BuildRequires:	openais-devel >= 1.1.0
BuildRequires:	corosync-devel >= 1.1.0

%description -n	clvmd
clvmd is the daemon that distributes LVM metadata updates around a
cluster. It must be running on all nodes in the cluster and will give
an error if a node in the cluster does not have this daemon running.
%endif

%package -n	dmsetup
Summary:	Device mapper setup tool
Version:	%{dmversion}
Group:		System/Kernel and hardware
Provides:	device-mapper = %{dmversion}-%{release}
Requires:	%{dmlibname} = %{dmversion}-%{release}
%if %{build_dmeventd}
Provides:	dmeventd = %{dmversion}-%{release}
Requires:	%{event_libname} = %{dmversion}-%{release}
%endif

%description -n	dmsetup
Dmsetup manages logical devices that use the device-mapper driver.  
Devices are created by loading a table that specifies a target for
each sector (512 bytes) in the logical device.

%package -n	%{dmlibname}
Summary:	Device mapper library
Version:	%{dmversion}
Group:		System/Kernel and hardware

%description -n	%{dmlibname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the shared libraries required for running
programs which use device-mapper.

%package -n	%{dmdevelname}
Summary:	Device mapper development library
Version:	%{dmversion}
Group:		Development/C
Provides:	device-mapper-devel = %{dmversion}-%{release}
Provides:	libdevmapper-devel = %{dmversion}-%{release}
Requires:	%{dmlibname} = %{dmversion}-%{release}
Requires:	pkgconfig
Conflicts:	device-mapper-devel < %{dmversion}-%{release}
Obsoletes:	%{mklibname devmapper %dmmajor -d}

%description -n	%{dmdevelname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the header files and development libraries
for building programs which use device-mapper.

%if %{build_dmeventd}

%package -n	%{event_libname}
Summary:	Device mapper event library
Version:	%{dmversion}
Group:		System/Kernel and hardware

%description -n	%{event_libname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the shared libraries required for running
programs which use device-mapper-event.

%package -n	%{event_develname}
Summary:	Device mapper event development library
Version:	%{dmversion}
Group:		Development/C
Provides:	device-mapper-event-devel = %{dmversion}-%{release}
Provides:	libdevmapper-event-devel = %{dmversion}-%{release}
Requires:	%{event_libname} = %{dmversion}-%{release}
Requires:	%{dmdevelname} = %{dmversion}-%{release}
Requires:	pkgconfig
Conflicts:	device-mapper-event-devel < %{dmversion}-%{release}
Obsoletes:	%{mklibname devmapper-event %dmmajor -d}

%description -n	%{event_develname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the header files and development libraries
for building programs which use device-mapper-event.
%endif

%prep
%setup -q -n LVM2.%{lvmversion}
%patch0 -p1 -b .alternatives
%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .vgmknodes-man
%patch3 -p1 -b .fixlvmconf
%patch4 -p1 -b .lsbinit

%build
%if %{build_dmeventd}
%define _disable_ld_as_needed 1
%endif
%define common_configure_parameters --with-user=`id -un` --with-group=`id -gn` --disable-selinux --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660
export ac_cv_lib_dl_dlopen=no
export MODPROBE_CMD=/sbin/modprobe
%configure %{common_configure_parameters} \
	--enable-static_link --disable-readline \
	--with-cluster=none --with-pool=none
unset ac_cv_lib_dl_dlopen
%make
mv tools/dmsetup.static .
mv tools/lvm.static .
mv libdm/ioctl/libdevmapper.a .
%make clean

%configure %{common_configure_parameters} \
	--disable-static_link --enable-readline \
	--enable-fsadm --enable-pkgconfig \
	--with-usrlibdir=%{_libdir} --libdir=/%{_lib} \
	--enable-cmdlib \
%if %build_lvm2app
	--enable-applib \
%endif
%if %build_cluster
	--with-clvmd=cman,corosync \
%else
	--with-cluster=none \
	--with-pool=none \
%endif
%if %{build_dmeventd}
	--enable-dmeventd \
	--with-dmeventd-path=/sbin/dmeventd \
%endif
# 20090926 no translations yet:	--enable-nls
# 20090926 disabled for now: --enable-udev_sync --enable-udev_rules
# end of configure options
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d %{buildroot}/etc/lvm/archive
install -d %{buildroot}/etc/lvm/backup
install -d %{buildroot}/etc/lvm/cache
touch %{buildroot}/etc/lvm/cache/.cache

install -d %{buildroot}/var/lock/lvm

install -d %{buildroot}/%{_initrddir}

install scripts/lvm2_monitoring_init_red_hat %{buildroot}/%{_initrddir}/lvm2-monitor
%if %build_cluster
install scripts/clvmd_init_red_hat %{buildroot}/%{_initrddir}/clvmd
install -m 0755 scripts/lvmconf.sh %{buildroot}/%{_usrsbindir}/lvmconf
%endif

install lvm.static %{buildroot}/%{_sbindir}/lvm.static
install dmsetup.static %{buildroot}/%{_sbindir}/dmsetup.static
#install -d %{buildroot}/%{_libdir}/
install -m 644 libdevmapper.a %{buildroot}/%{_libdir}
#compatibility links
ln %{buildroot}/%{_sbindir}/lvm %{buildroot}/%{_sbindir}/lvm2
ln %{buildroot}/%{_sbindir}/lvm.static %{buildroot}/%{_sbindir}/lvm2-static
ln %{buildroot}/%{_sbindir}/dmsetup.static %{buildroot}/%{_sbindir}/dmsetup-static

#move .so links in /usr/lib
for solink in %{buildroot}/%{_lib}/*.so; do
	if [ "${solink%%libdevmapper-event-lvm2*.so}" == "${solink}" ]; then
		_target=`readlink ${solink}`
		ln -s ../../%{_lib}/${_target##*/} %{buildroot}/%{_libdir}/${solink##*/}
		rm ${solink}
	fi
done

#hack permissions of libs
chmod u+w %{buildroot}/%{_lib}/*.so.* %{buildroot}/%{_sbindir}/* %{buildroot}/%{_usrsbindir}/*

%find_lang %name

#hack trick strip_and_check_elf_files
export LD_LIBRARY_PATH=%{buildroot}/%{_lib}:${LD_LIBRARY_PATH}

%pre
if [ -L /sbin/lvm -a -L /etc/alternatives/lvm ]; then
	update-alternatives --remove lvm /sbin/lvm2
fi

%if %mdkversion < 200900
%if %build_lvm2app
%post -n %{applibname} -p /sbin/ldconfig
%postun -n %{applibname} -p /sbin/ldconfig
%endif
%post -n %{dmlibname} -p /sbin/ldconfig
%postun -n %{dmlibname} -p /sbin/ldconfig
%post -n %{cmdlibname} -p /sbin/ldconfig
%postun -n %{cmdlibname} -p /sbin/ldconfig
%if %{build_dmeventd}
%post -n %{event_libname} -p /sbin/ldconfig
%postun -n %{event_libname} -p /sbin/ldconfig
%endif
%endif

%if %build_cluster
%post -n clvmd
%_post_service clvmd
%{_usrsbindir}/lvmconf --lockinglibdir %{_libdir}

%preun -n clvmd
%_preun_service clvmd
if [ "$1" = 0 ]; then
        %{_usrsbindir}/lvmconf --disable-cluster
fi
%endif

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(644,root,root,755)
%doc INSTALL README VERSION WHATS_NEW
%attr(755,root,root) %{_sbindir}/fsadm
%attr(755,root,root) %{_sbindir}/lv*
%attr(755,root,root) %{_sbindir}/pv*
%attr(755,root,root) %{_sbindir}/vg*
%config(noreplace) %attr(755,root,root) %{_initrddir}/lvm2-monitor
%dir %{_sysconfdir}/lvm
%config(noreplace) %{_sysconfdir}/lvm/lvm.conf
%attr(700,root,root) %dir %{_sysconfdir}/lvm/archive
%attr(700,root,root) %dir %{_sysconfdir}/lvm/backup
%attr(700,root,root) %dir %{_sysconfdir}/lvm/cache
%attr(600,root,root) %ghost %{_sysconfdir}/lvm/cache/.cache
%attr(700,root,root) %dir /var/lock/lvm
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n %{cmdlibname}
%defattr(644,root,root,755)
/%{_lib}/liblvm2cmd.so.*
%if %{build_dmeventd}
/%{_lib}/libdevmapper-event-lvm2mirror.so*
/%{_lib}/libdevmapper-event-lvm2snapshot.so*
%endif

%files -n %{cmddevelname}
%defattr(644,root,root,755)
%{_includedir}/lvm2cmd.h
%attr(755,root,root) %{_libdir}/liblvm2cmd.so

%if %build_lvm2app
%files -n %{applibname}
%defattr(644,root,root,755)
/%{_lib}/liblvm2app.so.*

%files -n %{appdevelname}
%defattr(644,root,root,755)
%{_includedir}/lvm2app.h
%attr(755,root,root) %{_libdir}/liblvm2app.so
%{_libdir}/pkgconfig/lvm2app.pc
%endif

%if %build_cluster
%files -n clvmd
%defattr(755, root,root)
%config(noreplace) %{_initrddir}/clvmd
%{_usrsbindir}/clvmd
%{_usrsbindir}/lvmconf
%attr(644,root,root) %{_mandir}/man8/clvmd.8*
%endif

%files -n dmsetup
%defattr(644,root,root,755)
%doc INSTALL README VERSION_DM WHATS_NEW_DM
%attr(755,root,root) %{_sbindir}/dmsetup
%attr(755,root,root) %{_sbindir}/dmsetup.static
%attr(755,root,root) %{_sbindir}/dmsetup-static
%if %{build_dmeventd}
%attr(755,root,root) %{_sbindir}/dmeventd
%endif
%{_mandir}/man8/dmsetup.8*

%files -n %{dmlibname}
%defattr(755,root,root)
/%{_lib}/libdevmapper.so.*

%files -n %{dmdevelname}
%defattr(644,root,root,755)
%{_libdir}/libdevmapper.so
%{_libdir}/libdevmapper.a*
%{_includedir}/libdevmapper.h
%{_libdir}/pkgconfig/devmapper.pc

%if %{build_dmeventd}
%defattr(755,root,root)
%files -n %{event_libname}
/%{_lib}/libdevmapper-event.so.*

%files -n %{event_develname}
%defattr(644,root,root,755)
%{_includedir}/libdevmapper-event.h
%{_libdir}/libdevmapper-event.so
%{_libdir}/pkgconfig/devmapper-event.pc
%endif



%changelog
* Thu Feb 04 2010 Luca Berra <bluca@mandriva.org> 2.02.53-9mnb2
+ Revision: 500956
- fix permissions on lvm2-monitor initscript
- make dmeventd require same EVR libdevmapper-event
- enable loading of dm target modules as needed
- fix location of dmeventd binary
- link dmeventd with device-mapper-event (to be able to load plugins)

* Tue Oct 13 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-5mnb2
+ Revision: 457026
- Re-fix lsb headers in clvmd init (to require cman)

* Wed Oct 07 2009 Anssi Hannula <anssi@mandriva.org> 2.02.53-4mnb2
+ Revision: 455711
- modify _exclude_files_from_autoreq to only match the .so symlink so
  that automatic dependencies continue working, and remove the then
  unneeded explicit require that was added for this issue

* Tue Oct 06 2009 Anssi Hannula <anssi@mandriva.org> 2.02.53-3mnb2
+ Revision: 455260
- fix versioned requires added in previous release

* Tue Oct 06 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-2mnb2
+ Revision: 454651
- Put an explicit requires back in for the valid dependency that was a victim of
  the previous fix

  + Christophe Fergeau <cfergeau@mandriva.com>
    - make sure liblvm2cmd2.02 don't requires devel packages

* Thu Oct 01 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-1mnb2
+ Revision: 452390
- Buildrequire cluster-devel 3.0.3, openais-devel 1.1.0, corosync-devel 1.1.0
- put explicit versioned requires on libdevmapper on lvm to ensure lvm works
- Fix build on x86_64

  + Luca Berra <bluca@mandriva.org>
    - New version 2.02.53
      device-mapper is now built from lvm2 spec file
      dietlibc static binaries have been removed
      cluster support for openais/corosync is not built

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 2.02.33-9mnb2
+ Revision: 450120
- use dietlibc on arm and mips too (from Arnaud Patard)

* Wed Apr 08 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-8mnb2
+ Revision: 365105
- Fix LSB headers in clvmd init script (incl to require cman to be started for clvmd)
- Drop unused source file

* Tue Apr 07 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-7mnb2
+ Revision: 364814
- Remove conflict between lvm2 and clvmd (/sbin/lvmconf)

* Wed Feb 25 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.02.33-6mnb2
+ Revision: 344660
- rebuild for new libreadline

* Tue Jan 06 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-5mnb2
+ Revision: 325771
- Enable cluster support by default

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.02.33-4mnb2
+ Revision: 317041
- rediffed some fuzzy patches

  + Buchan Milne <bgmilne@mandriva.org>
    - Fix clvmd (compilation with --with cluster)

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.02.33-3mnb2
+ Revision: 265035
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.02.33-2mnb2
+ Revision: 217575
- rebuilt against dietlibc-devel-0.32

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.02.33-1mnb1
+ Revision: 170654
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Wed Feb 06 2008 Olivier Blin <oblin@mandriva.com> 2.02.33-1mdv2008.1
+ Revision: 163060
- 2.02.33

* Tue Feb 05 2008 Olivier Blin <oblin@mandriva.com> 2.02.31-2mdv2008.1
+ Revision: 162814
- build with ncurses instead of deprecated termcap

* Wed Jan 23 2008 Olivier Blin <oblin@mandriva.com> 2.02.31-1mdv2008.1
+ Revision: 157141
- do not install fsadm manually (now done by Makefile)
- define UINT64_MAX when building with dietlibc
- buildrequire device-mapper-devel >= 1.02.23 (for readahead support)
- 2.02.31

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.02.27-3mdv2008.1
+ Revision: 152884
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.02.27-2mdv2008.1
+ Revision: 152882
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.org> 2.02.27-1mdv2008.0
+ Revision: 69193
- fix typo
- disable stack protector (build fails if enabled)
- update buildrequires for dmeventd build (still disabled by default)
- add patch6 to fix a conflicting types error when building with dietlibc
- rediff and update patch0 and patch1
- new devel policy
- new release 2.02.27


* Mon Sep 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-09-11 11:06:54 (60771)
New release 2.02.09

* Tue Jul 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-11 22:16:08 (38858)
remove alternatives, but still keep lvm2 and lvm2-static links for compatibility with existing tools

* Tue Jul 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-11 20:55:25 (38791)
create backup file when applying p6

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 13:01:44 (38772)
really apply patch6

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 12:30:34 (38771)
release fixed vgs for DrakX

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 12:29:14 (38770)
fix exit code for VG not found (bug #22968)

* Wed Jul 05 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-05 09:11:45 (38381)
import lvm2-2.02.06-1mdv2007.0

* Sun May 28 2006 Luca Berra <bluca@vodka.it> 2.02.06-1mdv2007.0
- New release 2.02.06
- build against dietlibc on ppc64
- add an option for dietlibc build
- require new device-mapper

* Thu Apr 20 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 2.01.15-4mdk
- build against dietlibc on sparc too

* Sun Jan 29 2006 Olivier Blin <oblin@mandriva.com> 2.01.15-3mdk
- fix 2.01.09-2mdk changelog date to match current lvm2 package in main i586

* Fri Jan 27 2006 Luca Berra <bluca@vodka.it> 2.01.15-2mdk
- Rebuild

* Sat Jan 21 2006 Luca Berra <bluca@vodka.it> 2.01.15-1mdk
- New release 2.01.15
- update p1 (diet)
- add missing defines in dietlibc (p2)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.01.09-2mdk
- Rebuild

* Sun Apr 17 2005 Luca Berra <bluca@vodka.it> 2.01.09-1mdk 
- 2.01.09
- part of p4 (ignorelockingfailure) was merged
- rediffed p5 (File descriptor left open)
- added support for GFS pool format
- added cluster build option and clvmd subpackage

* Tue Apr 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-4mdk 
- add --ignorelockingfailure to vgmknodes (p4)
- silence annoyng "File descriptor left open" messages (p5)

* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-3mdk 
- remove require for libdevmapper1.00

* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-2mdk 
- rebuild for new libdevmapper

* Sat Jan 29 2005 Luca Berra <bluca@vodka.it> 2.00.33-1mdk 
- 2.00.33

* Thu Jan 20 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.00.32-2mdk
- rebuild for new readline

* Sat Jan 15 2005 Luca Berra <bluca@vodka.it> 2.00.32-1mdk 
- 2.0.32
- do not link static binary with libdl

* Fri Dec 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.00.31-1mdk
- 2.00.31
- cosmetics

* Sun Nov 28 2004 Luca Berra <bluca@vodka.it> 2.00.27-1mdk 
- 2.0.27

* Sun Nov 14 2004 Luca Berra <bluca@vodka.it> 2.00.25-1mdk 
- 2.0.25
- added fsadm
- enabled nls
- added support for building the command line library

* Tue Sep 07 2004 Luca Berra <bluca@mandrakesoft.com> 2.00.22-1mdk
- 2.00.22
- define _BSD_SOURCE when building with dietlibc
- drop p4 no longer needed

* Sun Aug 01 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.00.20-2mdk
- use dietlibc for static build on ppc as well
- add BuildRequires: glibc-static-devel for other archs

* Thu Jul 22 2004 Luca Berra <bluca@vodka.it> 2.00.20-1mdk 
- 2.00.20
- disabled selinux build
- added workaround for including fs.h with glibc 2.3.3 (p4)

* Tue Jun 29 2004 Luca Berra <bluca@vodka.it> 2.00.19-2mdk 
- really fix alternatives patch

* Tue Jun 29 2004 Luca Berra <bluca@vodka.it> 2.00.19-1mdk 
- 2.00.19
- rediffed p0 (alternatives) and p1 (diet)

* Mon May 24 2004 Luca Berra <bluca@vodka.it> 2.00.16-1mdk 
- 2.00.16

* Sat Apr 17 2004 Luca Berra <bluca@vodka.it> 2.00.14-1mdk 
- 2.00.14
- rediffed p0, p1, p3
- removed p2, p4, p5 merged upstream

* Sun Jan 25 2004 Luca Berra <bluca@vodka.it> 2.00.08-8mdk 
- patch to ignore devices that have an md superblock on them

* Fri Jan 23 2004 Luca Berra <bluca@vodka.it> 2.00.08-7mdk
- patch to fix uidless PVs created during 9.2 installation

* Sun Jan 04 2004 Luca Berra <bluca@vodka.it> 2.00.08-6mdk
- DIRM: /etc/lvm
- build vs termcap, not ncurses

* Mon Dec 29 2003 Stefan van der Eijk <stefan@eijk.nu> 2.00.08-5mdk
- BuildRequires

* Sat Dec 20 2003 Luca Berra <bluca@vodka.it> 2.00.08-4mdk
- fix annoying "setlocale failed" message in dietlibc version

* Sun Dec 14 2003 Luca Berra <bluca@vodka.it> 2.00.08-3mdk
- added vgmknodes to static/diet binary
- imported blksize64 patch from fedora
- use %%post -f for alternatives script
- lvm.conf is a config file

* Sat Nov 22 2003 Luca Berra <bluca@vodka.it> 2.00.08-2mdk
- built against device-mapper 1.00.07

* Thu Nov 20 2003 Luca Berra <bluca@vodka.it> 2.00.08-1mdk
- 2.0.08 stable
- added static/dietlibc version for initrd

* Tue Sep 16 2003 Luca Berra <bluca@vodka.it> 2.00.07-1mdk
- 2.00.07 stable

